#ifndef FROG_COMM_H
#define FROG_COMM_H

#include "frogd.h"

#define BEGIN_FRAME 'G'
#define END_FRAME 'Z'


int CalcCheckSum(Frog* frog, unsigned char* input,  int framesize, char* checksum);
int Decode(unsigned char* input,  unsigned char* output, int size);
int OpenPort(Frog* frog);
int ClosePort(Frog* frog);

int ConfigurePort(Frog* frog);
int ResetFrog(Frog* frog) ;
int AskFrog(char* command, Frog* frog, char* response);
int GetIdentification(Frog* frog) ;


#endif
